ANNIE - Support #17962

archive v5data/0248 to 0252
10/19/2017 09:27 AM - Arthur Kreymer

Status: Resolved Start date: 10/19/2017
Priority: Normal Due date:

Assignee: Arthur Kreymer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.20 hours
Description

/pnfs/annie/persistent/raw/v5data/0248 to 0252 are owned by brichard
and are not archived to tape.

Probably written directly Jan 11-19 bypassing /pnfs/annie/persistent/raw.
They need to be chowned to annieraw, and moved up for archiving.

History

#1 - 10/19/2017 09:28 AM - Arthur Kreymer

| will test this fix on one file, then the rest.
But not today, there is a dCache downtime scheduled today 09:00-11:00.

#2 - 10/19/2017 09:30 AM - Arthur Kreymer

| will probably start with run 0252, then the rest.
Here are file counts :

for RUN in “seq 248 252" ; do
printf "${RUN} " ; Is /pnfs/annie/persistent/raw/v5data/0${RUN} | wc -I
done

248 607
249 706
250 786
251 979
252 330

#3 - 10/21/2017 09:28 AM - Arthur Kreymer

| verified that chowning and moving the unarchived files to /pnfs/annie/persistent/raw should be OK.
Tested this on one file.

As root@if-admin-annie,

PR=/pnfs/annie/persistent/raw/

PRD=/pnfs/annie/persistent/raw/v5data/0252
FILE=V5DataR25250p01Sep_26_2043.root

1s -1 S${PRD}/S$S{FILE}

—-rw-r——r—— 1 51115 9467 579160415 Jan 18 2017/pnfs/annie/persistent/raw/v5data/0252/V5DataR252S0p01Sep_26_204
3.root

chown 51481 ${PRD}/S${FILE}

mv S${PRD}/S{FILE} S${PR}/S{FILE}

date

Fri Oct 20 12:54:32 CDT 2017

Then archived this file as annieraw@anniegpvm02

set nohup ; S${HOME}/archiver/fts-ftp

tail archiver/fts-ftp.log

fts-ftp 20170724

LIMIT 9999

Fri Oct 20 12:56:20 CDT 2017 on anniegpvm02.fnal.gov
V6DataR835S9p4T2Jul_27_0736.root already there
1/2 FILES NEEDED
Fri Oct 20 12:56:21 CDT 2017 V5DataR252S0p01Sep_26_2043.root
Fri Oct 20 12:56:36 CDT 2017

| verified that V6DataR835S9p4T2Jul_27_0736.root is a duplicate, and removed the duplicate.

#4 - 10/21/2017 10:01 AM - Arthur Kreymer

| set up the rest of run 252 for archiving,
first fixing directory ownerships

root@if-admin-annie

PR=/pnfs/annie/persistent/raw
PRD=/pnfs/annie/persistent/raw/v5data/0252

for DIR in 0248 0249 0250 0251 0252 do

PRX=${PR}/v5data/${DIR}

1ls -1d $S{PRX}

chown 51481 ${PRX}

ls -1d $S{PRX}
done
date
drwxrwxr-x 609 51115 9467 512 Jan 11 2017 /pnfs/annie/persistent/raw//v5data/0248
drwxrwxr-x 609 51481 9467 512 Jan 11 2017 /pnfs/annie/persistent/raw//v5data/0248
drwxrwxr-x 708 51115 9467 512 Jan 13 2017 /pnfs/annie/persistent/raw//v5data/0249
drwxrwxr—-x 708 51481 9467 512 Jan 13 2017 /pnfs/annie/persistent/raw//v5data/0249
drwxrwxr-x 788 51115 9467 512 Jan 15 2017 /pnfs/annie/persistent/raw//v5data/0250
drwxrwxr-x 788 51481 9467 512 Jan 15 2017 /pnfs/annie/persistent/raw//v5data/0250
drwxrwxr-x 981 51115 9467 512 Jan 18 2017 /pnfs/annie/persistent/raw//v5data/0251
drwxrwxr-x 981 51481 9467 512 Jan 18 2017 /pnfs/annie/persistent/raw//v5data/0251
drwxrwxr-x 332 51115 9467 512 Oct 20 12:56 /pnfs/annie/persistent/raw//v5data/0252
drwxrwxr—-x 332 51481 9467 512 Oct 20 12:56 /pnfs/annie/persistent/raw//v5data/0252
Sat Oct 21 09:43:15 CDT 2017
FILES="find ${PRD} -type f -user 51115 -exec basename {} \;°
printf "${FILES}\n" wc -1
329
for FILE in ${FILES} ; do

chown 51481 ${PRD}/S${FILE}

mv
done
date

S{PRD}/S{FILE}

Sat Oct 21 09:53:38 CDT 2017

annieraw@anniegpvm02

set nohup ;

tail archiver/fts-ftp.log

S{HOME}/archiver/fts—ftp &

fts—-ftp 20170724

LIMIT 9999
Sat Oct 21

09:

329/329 FILES

Sat Oct 21
TIME 47

Sat Oct 21
Sat Oct 21

#5 - 10/21/2017 10:42 PM - Arthur Kreymer

09:

09:
09:

57:00 CDT

NEEDED

57:02 CDT

58:03 CDT
58:19 CDT

2017

2017

2017
2017

${PR}/${FILE}

on anniegpvm02.fnal.gov

V5DataR25250p1001Sep_27_0343.root

V5DataR25250p1011Sep_27_0347.root
V5DataR25250p101Sep_26_2125.root

- Subject changed from rchive v5data/0248 to 0252 to archive v5data/0248 to 0252

- % Done changed from 0 to 50

| have set up the remaining files, runs 248-251 for archiving.
Archival will run via cron after 01:08

root@if-admin-annie

PR=/pnfs/annie/persistent/raw
for DIR in 0248 0249 0250 0251 ; do

PRD=${PR}/v5data/${DIR}

echo ${PRD}

FILES="find ${PRD} -type f -user 51115 -exec basename {} \;°
printf "${FILES}\n" | wc -1

for FILE in S${FILES} ; do
chown 51481 ${PRD}/S$S{FILE}
mv ${PRD}/${FILE} ${PR}/${FILE}
usleep 100000

done

date

done
date

/pnfs/annie/persistent/raw/v5data/0248
607

Sat Oct 21 22:34:52 CDT 2017
/pnfs/annie/persistent/raw/v5data/0249
706

Sat Oct 21 22:36:23 CDT 2017
/pnfs/annie/persistent/raw/v5data/0250
786

Sat Oct 21 22:38:06 CDT 2017
/pnfs/annie/persistent/raw/v5data/0251
979

Sat Oct 21 22:40:17 CDT 2017

#6 - 10/27/2017 02:38 PM - Arthur Kreymer
- Status changed from New to Resolved

- % Done changed from 50 to 100

The vbdata archive to tape is complete.
One file failed the first time, but recovered automatically.

From annieraw archiver/fts-ftp.log

fts-ftp 20170724

LIMIT 9999

Sun Oct 22 01:08:01 CDT 2017 on anniegpvmO2.fnal.gov
3078/3078 FILES NEEDED

Sun Oct 22 01:08:47 CDT 2017 V5DataR248S0p01lSep_14_2032.root
Sun Oct 22 01:09:01 CDT 2017 V5DataR248S0pl01Sep_14_2114.root
Sun Oct 22 01:09:14 CDT 2017 V5DataR248S0plllSep_14_2118.root

Sun Oct 22 02:26:04 CDT 2017 V5DataR248S2p431Sep_15_0304.root
OOPS V5DataR248S2p431Sep_15_0304.root
-rw-r—-—-r—-— 1 annieraw annie 580029366 Jan 10 2017 /pnfs/annie/persistent/raw/V5DataR248S2p431Sep_15_0304.root
-rw-r——-r—-— 1 annieraw annie 580029366 Oct 22 02:26 /pnfs/annie/raw/v5data/0248/V5DataR248S2p431Sep_15_0304.roo
t

persistent MD5 e1332e5£f73c7d322c771b341c8521lacb

enstore MD5 6c8a99161a5b7789892a927b9d6fal5c
Sun Oct 22 02:26:18 CDT 2017 v5DataR248S2p441Sep_15_0308.root

Sun Oct 22 14:14:54 CDT 2017 V5DataR251S7p91Sep_26_1624.root
Sun Oct 22 14:15:11 CDT 2017

fts—-ftp 20170724

LIMIT 9999

Mon Oct 23 01:08:02 CDT 2017 on anniegpvm0O2.fnal.gov

1/1 FILES NEEDED

Mon Oct 23 01:08:02 CDT 2017 V5DataR248S2p431Sep_15_0304.root
TIME 41

Mon Oct 23 01:09:07 CDT 2017

04/10/2021 3/3


http://www.tcpdf.org

